#include "ScriptPolicies.h"
#include "m_hook.h"

#include "InventoryUse_Player_Heal.h"

void GE_STDCALL ScriptInitImplementation()
{
	using namespace ScriptPolicies;
	using namespace ScriptPolicies::Arguments;

	bTObjArray<bCString> DLLNames;
	DLLNames.Add("Script_Game.dll");
	AssertDLLsAreLoaded(DLLNames);

    typedef InventoryUse_Player_Heal<100, 0> InventoryUse_Player_HealMinor;
    typedef InventoryUse_Player_Heal<200, 1> InventoryUse_Player_HealMedium;
    typedef InventoryUse_Player_Heal<300, 2> InventoryUse_Player_HealEnhanced;

	MANAGED_REPLACE	(EScriptType_ScriptAIFunction, "InventoryUse_Player_HealMinor", ClearScriptAIFunction<InventoryUse_Player_HealMinor>);
	MANAGED_REPLACE	(EScriptType_ScriptAIFunction, "InventoryUse_Player_HealMedium", ClearScriptAIFunction<InventoryUse_Player_HealMedium>);
	MANAGED_REPLACE	(EScriptType_ScriptAIFunction, "InventoryUse_Player_HealEnhanced", ClearScriptAIFunction<InventoryUse_Player_HealEnhanced>);
}
